defmodule HereIAm.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      HereIAmWeb.Telemetry,
      HereIAm.Repo,
      {DNSCluster, query: Application.get_env(:here_i_am, :dns_cluster_query) || :ignore},
      {Phoenix.PubSub, name: HereIAm.PubSub},
      # Start the Finch HTTP client for sending emails
      {Finch, name: HereIAm.Finch},
      # Start a worker by calling: HereIAm.Worker.start_link(arg)
      # {HereIAm.Worker, arg},
      HereIAm.DeviceMonitor,
      # Start to serve requests, typically the last entry
      HereIAmWeb.Endpoint
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: HereIAm.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  @impl true
  def config_change(changed, _new, removed) do
    HereIAmWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
